Bug 142923 - Deleting comment in Writer leaves visual artifact behind
Summary: Deleting comment in Writer leaves visual artifact behind
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Writer-Comments
  Show dependency treegraph
 
Reported: 2021-06-17 21:06 UTC by Aron Budea
Modified: 2021-07-20 07:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot (73.32 KB, image/png)
2021-06-17 21:06 UTC, Aron Budea
Details
Example file (8.44 KB, application/vnd.oasis.opendocument.text)
2021-07-07 20:10 UTC, Telesto
Details
Screenshot (57.40 KB, image/jpeg)
2021-07-07 20:11 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2021-06-17 21:06:59 UTC
Created attachment 172992 [details]
Screenshot

In Writer, add a comment to an empty document, and delete it.

=> It leaves visual artifacts behind.

Observed in LO Version: 7.2.0.0.beta1+ (d376297c643785564e7bda1a74b573c35ade6cb8) / Ubuntu, and also on Windows.
Fine in 7.1.0.3.

Regression is from the following commit. Adding CC: to Noel Grandin.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=9abedad72c73ad83b66f3f8d261efdc5ce889683
author		Noel <noel.grandin@collabora.co.uk>	2021-03-28 10:28:45 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2021-05-31 15:19:31 +0200

Drop Window::IsDisposed
Comment 1 Commit Notification 2021-07-02 07:40:28 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/29b0fa1e9cf84657abe0722d5d92d4741c9b7974

tdf#142923 Deleting comment in Writer leaves visual artifact behind

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2021-07-02 12:41:10 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/3c7172bf9cfec0a8dfb103d3ab9df927407cf6ff

tdf#142923 Deleting comment in Writer leaves visual artifact behind

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Telesto 2021-07-07 20:10:37 UTC
Created attachment 173429 [details]
Example file

Still repro for me
1. Open the attached file
2. Drop down of the comment: Delete comment

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: bd2f2273d83dcca43eb6b465308707efd45e7adf
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: nl-NL (nl_NL); UI: nl-NL
Calc: threaded
Comment 4 Telesto 2021-07-07 20:11:10 UTC
Created attachment 173430 [details]
Screenshot
Comment 5 Aron Budea 2021-07-07 22:09:58 UTC
(In reply to Telesto from comment #3)
> Still repro for me
Same with LO 7.3.0.0.alpha0+ (eac5977bfc11797eda356560a5e45c51108ef5a1) / Ubuntu.
Comment 6 Telesto 2021-07-15 18:27:38 UTC
It's still an issue in
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 717dc8e3575a18e1e18dc446031e6db4e60a873d
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: nl-NL
Calc: CL

Would like to see this fixed at RC2.. this is way to prominent..
Comment 7 Commit Notification 2021-07-16 19:53:51 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3ec78de2322f781a98802acc77cfb3e71a08eb3d

tdf#142923 Deleting comment in Writer leaves visual artifact behind

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-07-19 10:02:21 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/cff620010dc6501669b0308866f73f5db96bc640

tdf#142923 Deleting comment in Writer leaves visual artifact behind

It will be available in 7.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Telesto 2021-07-20 07:07:04 UTC
Confirmed
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3d18cae102e16b85fb8787f5ec3b086bfa2bd7b8
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: nl-NL
Calc: CL